Package org.opentcs.components.kernel.services

# Interface InternalPeripheralService

All Superinterfaces:
  `PeripheralService`, `TCSObjectService`

    public interface InternalPeripheralService
    extends PeripheralService

Declares the methods the peripheral service must provide which are not accessible to remote peers.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `updatePeripheralJob​(TCSResourceReference<Location> ref, TCSObjectReference<PeripheralJob> peripheralJob)` | Updates a peripheral's current peripheral job.
  `void` | `updatePeripheralProcState​(TCSResourceReference<Location> ref, PeripheralInformation.ProcState state)` | Updates a peripheral's processing state.
  `void` | `updatePeripheralReservationToken​(TCSResourceReference<Location> ref, java.lang.String reservationToken)` | Updates a peripheral's reservation token.
  `void` | `updatePeripheralState​(TCSResourceReference<Location> ref, PeripheralInformation.State state)` | Updates a peripheral's state.

  ### Methods inherited from interface org.opentcs.components.kernel.services.PeripheralService

  `attachCommAdapter, disableCommAdapter, enableCommAdapter, fetchAttachmentInformation, fetchProcessModel, sendCommAdapterCommand`

  ### Methods inherited from interface org.opentcs.components.kernel.services.TCSObjectService

  `appendObjectHistoryEntry, fetchObject, fetchObject, fetchObjects, fetchObjects, updateObjectProperty`

- ## Method Details

  - ### updatePeripheralProcState

    void updatePeripheralProcState​(TCSResourceReference<Location> ref, PeripheralInformation.ProcState state) throws ObjectUnknownException
    Updates a peripheral's processing state.
    Parameters:
      `ref` - A reference to the location to be modified.
      `state` - The peripheral's new processing state.
    Throws:
      `ObjectUnknownException` - If the referenced location does not exist.

  - ### updatePeripheralReservationToken

    void updatePeripheralReservationToken​(TCSResourceReference<Location> ref, java.lang.String reservationToken) throws ObjectUnknownException
    Updates a peripheral's reservation token.
    Parameters:
      `ref` - A reference to the location to be modified.
      `reservationToken` - The peripheral's new reservation token.
    Throws:
      `ObjectUnknownException` - If the referenced location does not exist.

  - ### updatePeripheralState

    void updatePeripheralState​(TCSResourceReference<Location> ref, PeripheralInformation.State state) throws ObjectUnknownException
    Updates a peripheral's state.
    Parameters:
      `ref` - A reference to the location to be modified.
      `state` - The peripheral's new state.
    Throws:
      `ObjectUnknownException` - If the referenced location does not exist.

  - ### updatePeripheralJob

    void updatePeripheralJob​(TCSResourceReference<Location> ref, TCSObjectReference<PeripheralJob> peripheralJob) throws ObjectUnknownException
    Updates a peripheral's current peripheral job.
    Parameters:
      `ref` - A reference to the location to be modified.
      `peripheralJob` - A reference to the peripheral job the peripheral device processes.
    Throws:
      `ObjectUnknownException` - If the referenced location does not exist.